For AI agents: a documentation index is available at /llms.txt. Append .md to any page URL for markdown, or send Accept: text/markdown.

List Prompt Versions

List the versions of a Prompt, newest first, with each version type (Live, Candidate, Draft, Archive) and model settings.

List the versions of a Prompt, newest first, with each version type (Live, Candidate, Draft, Archive) and model settings.

gethttps://statsigapi.net/console/v1/prompts/{id}/versions

Authorizations

STATSIG-API-KEYstringrequired

apiKey (header)

Path parameters

idstringrequired

id

Query parameters

limitinteger

Results per page

Example:10
Constraints:stringnumber
pageinteger

Page number

Example:1
Constraints:stringnumber

Response

application/json
200· List Prompt Versions Success
messagestringrequired

A simple string explaining the result of the operation.

dataobject[]required
Show child attributes
idstringrequired
Constraints:min length: 3max length: 100
namestringrequired
Constraints:min length: 3max length: 100
typestring

Live is served to users; Candidate is served to code for shadow runs; Draft and Archive are not served.

Allowed values:LiveCandidateArchiveDraft
versionnumber
Constraints:format: double
promptsobject[]
rolestringrequired
contentstringrequired
modelstring
providerstring
eval_modelstring
temperaturenumber
Constraints:format: double
top_pnumber
Constraints:format: double
max_tokensnumber
Constraints:format: double
frequency_penaltynumber
Constraints:format: double
presence_penaltynumber
Constraints:format: double
workflow_urlstring
Constraints:nullable
createdTimenumber
Constraints:format: double
lastModifiedTimenumber
Constraints:format: double
eval_run_idstring

Set only by Start Prompt Version Evaluation Job: the eval run it started. Poll it with List Prompt Version Eval Runs.

paginationobjectrequired

Pagination metadata for checking if there is next page for example.

Show child attributes
itemsPerPagenumberrequired
Constraints:format: double
pageNumbernumberrequired
Constraints:format: double
nextPagestringrequired
Constraints:nullable
previousPagestringrequired
Constraints:nullable
totalItemsnumber
Constraints:format: double
allstring
404· Not Found. The requested resource could not be found.
statusintegerrequired
Allowed values:404
messagestringrequired

Was this helpful?